petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMGetUseNatural

Get the flag for creating a mapping to the natural order on distribution

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetUseNatural(DM dm, PetscBool *useNatural)

Not collective

### Input Parameter

dm -The DM

### Output Parameter

useNatural -The flag to build the mapping to a natural order during distribution

### See Also

DMSetUseNatural(), DMCreate()

### Level

beginner

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages